#include <bits/stdc++.h>
using namespace std;

int brc(long long x)
{
    int br=0;
    while (x)
    {   x/=10;
        br++;
    }
    return br;
}

long long es(long long x,int y)
{
    if(y==0)
        return 1;
    else if(y%2==0)
        return es(x,y/2)*es(x,y/2);
    else
        return x*es(x,(y-1)/2)*es(x,(y-1)/2);
}

long long up(long long x,long long y)
{
    long long q,w;
    q=x*es(10,brc(y))+y;
    w=y*es(10,brc(x))+x;
    if(q>w)
        return x;
    else
        return y;
}

int main()
{
    long long a,b,c;
    cin>>a>>b>>c;
    long long x=up(up(a,b),up(a,c)),y,z;
    if(x==a)
    {   cout<<a;
        y=up(b,c);
        if(y==b)
            cout<<b<<c<<endl;
        else
            cout<<c<<b<<endl;
    }
    else if(x==b)
    {   cout<<b;
        y=up(a,c);
        if(y==a)
            cout<<a<<c<<endl;
        else
            cout<<c<<a<<endl;
    }
    else
    {   cout<<c;
        y=up(a,b);
        if(y==b)
            cout<<b<<a<<endl;
        else
            cout<<a<<b<<endl;
    }
    return 0;
}